👋
# 🛣️ Rozcestník Lukáše Kaňky na tomto Git profilu
___



## 👨🏽‍💻 Něco málo o mně:

IT nadšenec s pozitivním přístupem k životu a vášní pro technologie. Do světa IT jsem vstoupil jako Support, pak mě osud dovedl na pozici testera a v současné době měním svůj kariérní směr do Front-endu. Kód i programování mě lákalo už dlouho, baví mě zobrazení okamžitého výsledku, který mi umožňuje zlepšení a zdokonalení kódu. Aktuálně se vzdělávám ve Front-end Developer Akademii se zaměřením na znalosti v JavaScript, HTML, CSS. Jako návazný krok bych své znalosti rád prohluboval ve frameworcích React a také v PHP.

Také jsem členem spolku Arch Linux CZ, správce a zakladatel [České Komunity EndeoverOS](https://git.archoslinux.cz/kankys/EndeavourOS_CZ-SK) se svolením tvurců a vývojářů [EndeavourOS](https://endeavouros.com/).

Mé CV najdete pod tímto [odkazem](https://lukaskanka.cz/zivotopis.html).

## 🔍 Kde všude mě najdete:

[Telegram](https://t.me/kankys_blog) můj kánál/blog na síti Telegram, najdeš zde odkazy na zajímavé články nebo třeba ankety. Každý den nový aktuální obsah z oblasti IT, ale i mimo IT. 

[Mastodon profil](https://mastodon.arch-linux.cz/deck/@Kankys)

[Dev.to](https://dev.to/kankys)

[WakaTime](https://wakatime.com/@kankys)

[Blog](https://www.lukaskanka.cz) můj blog, který tvořím v HTML a CSS. Omlouvám se za nedostatky na webu, ale pracuji na něm pouze ve volném čase.

[Můj druhý blog ve Wordpress](https://www.lukan.cz) můj blog o všem možném i nemožném.

[Digital Garden](https://publish.obsidian.md/kankys-note/Digital+Garden+%F0%9F%8C%B1/Kankys+%F0%9F%91%A8%F0%9F%8F%BD%E2%80%8D%F0%9F%9A%80/V%C3%ADt%C3%A1m+t%C4%9B+v+m%C3%A9+Digit%C3%A1ln%C3%AD+Zahrad%C4%9B!) má digitální zahrada na platformě Obsidian.

[LinkedIn](https://www.linkedin.com/in/luk%C3%A1%C5%A1-ka%C5%88ka-b2a0a1a0/)


## 🛠️ Na čem pracuji:
1. Lenovo ThinBook 14ADA --> 🚀 EnedeavourOS i3 window manager
2. MacBookPro 2015 🍏 

## 💻 Mé nejoblíbenější editory a IDE:
1. [VSCodium](https://vscodium.com/) - fork k VSCode bez sledování telemetrie MS.
2. [Neovim](https://neovim.io/) - můj setup [🚀 ApolloNvim Front-End Power](https://github.com/LukasKanka/ApolloNvim)
3. [Helix](https://helix-editor.com/) - můj setup [Helix - Front-End](https://git.archoslinux.cz/kankys/Helix-frontend-setup) - vlastní konfigurace pro front-end vývoj s možnostírozšíření React a Vue.
 


## 📀 Můj další nejoblíbenější software a služby:
* [SearXNG](https://searxng.cz/) bezpečný vyhledávač dbající na vaše soukromí.
* [FileZilla](https://filezilla-project.org) přenos souborů přes FTP.
* [Bitwarden](https://bitwarden.com/) správce hesel.* [Firefox](https://www.mozilla.org/cs/firefox/new/) za mě jednička mezi webovými prohlížeči.
* [Obsidian](https://obsidian.md/) markdown editor, který pracuje se soubory na vašem PC.


## 📑 Seznam ropozitářů a projektů na tworbu webů a webových aplikací
### Některé repozitáře odkazují stále na GitHub, ale postupně vše přesouvám na můj Gitea účet.
* Blog v HTML a CSS [odkaz](https://www.lukaskanka.cz)
* Poslední Project, který jsem začal je Wiki pro testery, ropozitář najdeš [zde](https://git.archoslinux.cz/kankys/testing-docs.cz.git) a odkaz na web je [zde](https://testing-docs.cz/). Na tomto projektu se bude více a více pracovat.
  ### Samostané projekty v rámci Akademie Frontend vývojář
* [Životopis](https://lukaskanka.cz/zivotopis.html) tento projekt je jako první úkol v Akademii. Zadání bylo vytvořit jednoduchý životpis na procvičení základů HTML a CSS. Později jsem ještě pomocí CSS nastavil v úkolu responsivní web pro mobilní zařízení.
* [Karta Produktu](https://lukaskanka.cz/karta-produktu.html) karta produktu. Na tomto projektu jsme se naučily pozicování elementu a pojmy jako Margin a Padding. Odkaz na GitHub [repozitář](https://github.com/LukasKanka/karta-produktu).
* [Cestovatelská stránka](https://lukaskanka.cz/nature-and-culture.html) tento projekt je zaměřen na responsivitu webu pro mobilní zařízení a také jsme použily porvé Flexbox. Odkaz na GitHub [repozitář](https://github.com/LukasKanka/NatureAndCulture_Engeto.git).




## 📑 Seznam mých ropozitářů automatizované testování

Zde najdeš seznam mých projektů v repozitářích s krátkým popiskem. Většina repozitářů se týká automatizovaného testování. V seznamu najdeš jen mé projekty které jsem sám dělat od nuly. Ostatní repozitáře jsou většinou volně přístupná videa z YouTube. Private repozitáře jsou většinou placené kurzy, kde je zákaz jejich sdílení.

### C# (NUnit, MSTest, xUnit)

[GoogleNUnitProject](https://github.com/LukasKanka/.Net_C.Sharp_Test/tree/main/GoogleNUnitProject)--> Zde testuji své dovednosti na vyhledávači Google

[LukanNUnitProject](https://github.com/LukasKanka/.Net_C.Sharp_Test/tree/main/LukanNUnitProject)--> Zde píši automatizované testy na mém [blogu](https://lukan.cz/) a také používám Page Object

[Testing_Ubuntu](Testing_Ubuntu)--> Testování C# a .Net v Ubuntu

[ZiveNUnitProject](https://github.com/LukasKanka/.Net_C.Sharp_Test/tree/main/ZiveNUnitProject)--> Automatizované testování na webu [zive](https://www.zive.cz/) a také používám Page Object

[xUnit.NET](https://github.com/LukasKanka/.Net_C.Sharp_Test/tree/main/xUnit.NET)--> Automatizované testování v Frameworku xUnit

### Playwright

[PWLukTS](https://github.com/LukasKanka/Playwright_TS/tree/main/PWLukTS)--> Playwright + TypeScript automatizované testy na mém [blogu](https://lukan.cz/) kde používám page objects

[lukanPlaywright](https://github.com/LukasKanka/Selenium_Selenide_Playwright_JAVA/tree/main/lukanPlaywright)--> Playwright + Java automatizované testy na mém [blogu](https://lukan.cz/)

[Lukan/.idea](https://github.com/LukasKanka/Playwright_Python/tree/main/Lukan/.idea)--> Playwright + Python Java automatizované testy na mém [blogu](https://lukan.cz/)

[PWlkPY](https://github.com/LukasKanka/Playwright_Python/tree/main/PWlkPY)--> Playwright + Python Java automatizované testy na mém [blogu](https://lukaskanka.cz/)

[PW_ZiveTS](https://github.com/LukasKanka/Playwright_TS/tree/main/PW_ZiveTS)--> Playwright + TypeScript automatizované testování na webu [zive](https://www.zive.cz/)

### Cypress

[CY_Auta_TS](https://github.com/LukasKanka/Cypress_TS/tree/main/CY_Auta_TS)--> Cypress + TypeScript domácí úkol při ucházení se o zaměstnání

[CyLukTs/lukan](https://github.com/LukasKanka/Cypress_TS/tree/main/CyLukTs/lukan)--> Cypress + TypeScript automatizované testy na mém [blogu](https://lukan.cz/)

### Java (Selenium, Selenide)

[lukanSelenide](https://github.com/LukasKanka/Selenium_Selenide_Playwright_JAVA/tree/main/lukanSelenide)--> Selenide + Java automatizované testy na mém [blogu](https://lukan.cz/) kde používám page object

[lukanSelenideCucumber](https://github.com/LukasKanka/Selenium_Selenide_Playwright_JAVA/tree/main/lukanSelenideCucumber)--> Selenide + Cucumber + Java automatizované testy na mém [blogu](https://lukan.cz/)





<!--
**LukasKanka/LukasKanka** is a ✨ _special_ ✨ repository because its `README.md` (this file) appears on your GitHub profile.

Here are some ideas to get you started:

- 🔭 I’m currently working on ...
- 🌱 I’m currently learning ...
- 👯 I’m looking to collaborate on ...
- 🤔 I’m looking for help with ...
- 💬 Ask me about ...
- 📫 How to reach me: ...
- 😄 Pronouns: ...
- ⚡ Fun fact: ...
-->
